FAQ Search Today's Posts Mark Forums Read
» Video Reviews

» Linux Archive

Linux-archive is a website aiming to archive linux email lists and to make them easily accessible for linux users/developers.


» Sponsor

» Partners

» Sponsor

Go Back   Linux Archive > Gentoo > Gentoo User

 
 
LinkBack Thread Tools
 
Old 10-31-2008, 06:56 PM
"Fernando Antunes"
 
Default xf86-video-intel-2.5.0 emerge error

Hi everybody !

Is someone having a problem with xf86-driver-intel-2.5.0 compilation like this?

...
In file included from /usr/include/xorg/vdif.h:24,
**************** from /usr/include/xorg/edid.h:15,

**************** from bios_reader.c:45:
/usr/include/X11/Xmd.h:152: error: conflicting types for 'CARD32'
bios_reader.c:43: error: previous declaration of 'CARD32' was here
....
**
** ERROR: x11-drivers/xf86-video-intel-2.5.0 failed.

** Call stack:
**************** ebuild.sh, line** 49:* Called src_compile
************** environment, line 2946:* Called x-modular_src_compile
************** environment, line 3732:* Called x-modular_src_make

************** environment, line 3768:* Called die
** The specific snippet of code:
******** emake || die "emake failed"
*** The die message:
**** emake failed

My box has xorg-server 1.3.0 ; VIDEO_CARDS="intel" (in make.conf) ; xf86-video-intel ~x86 (in package.keyword).


xf86-video-intel current version is 2.4.2-r3

Thanks
 
Old 10-31-2008, 07:11 PM
Markos Chandras
 
Default xf86-video-intel-2.5.0 emerge error

On Friday 31 October 2008 21:56:56 Fernando Antunes wrote:
> Hi everybody !
>
> Is someone having a problem with xf86-driver-intel-2.5.0 compilation like
> this?
>
> ...
> In file included from /usr/include/xorg/vdif.h:24,
> from /usr/include/xorg/edid.h:15,
> from bios_reader.c:45:
> /usr/include/X11/Xmd.h:152: error: conflicting types for 'CARD32'
> bios_reader.c:43: error: previous declaration of 'CARD32' was here
> ....
> *
> * ERROR: x11-drivers/xf86-video-intel-2.5.0 failed.
> * Call stack:
> * ebuild.sh, line 49: Called src_compile
> * environment, line 2946: Called x-modular_src_compile
> * environment, line 3732: Called x-modular_src_make
> * environment, line 3768: Called die
> * The specific snippet of code:
> * emake || die "emake failed"
> * The die message:
> * emake failed
>
> My box has xorg-server 1.3.0 ; VIDEO_CARDS="intel" (in make.conf) ;
> xf86-video-intel ~x86 (in package.keyword).
>
> xf86-video-intel current version is 2.4.2-r3
>
> Thanks

You could try upgrade xorg-server too . If this doesnt fix your problem, i
would suggest filling a bug on gentoo bugzilla

--
Markos Chandras
 
Old 11-04-2008, 08:17 AM
"Liviu Andronic"
 
Default xf86-video-intel-2.5.0 emerge error

On Fri, Oct 31, 2008 at 10:11 PM, Markos Chandras
<markos.chandras@gmail.com> wrote:
> You could try upgrade xorg-server too . If this doesnt fix your problem, i
> would suggest filling a bug on gentoo bugzilla
>
Even better would be to opt for emerge -DNu <package> (unless you
already did so).
Liviu



--
Do you know how to read?
http://www.alienetworks.com/srtest.cfm
Do you know how to write?
http://garbl.home.comcast.net/~garbl/stylemanual/e.htm#e-mail
 

Thread Tools




All times are GMT. The time now is 05:08 PM.

VBulletin, Copyright ©2000 - 2014, Jelsoft Enterprises Ltd.
Content Relevant URLs by vBSEO ©2007, Crawlability, Inc.
Copyright 2007 - 2008, www.linux-archive.org